;;;; type-checks-numbers.scm  -*- Scheme -*-
;;;; Kon Lovett, Jun '18

(module type-checks-numbers

(;export
  check-number
  check-positive-number check-natural-number check-negative-number check-non-positive-number
  check-fixnum
  check-positive-fixnum check-natural-fixnum check-negative-fixnum check-non-positive-fixnum
  check-flonum
  check-integer
  check-positive-integer check-natural-integer check-negative-integer check-non-positive-integer
  check-real
  check-complex
  check-rational
  check-exact
  check-inexact
  check-closed-interval check-open-interval
  check-half-closed-interval check-half-open-interval
  check-range)

(import (chicken base))			; for `include'

(include "type-checks-numbers.impl.scm")

) ;module type-checks-numbers
