;;;; type-errors-numbers.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-numbers ()

(import (chicken module))

(export
  ;
  error-range
  error-interval
  error-closed-interval error-open-interval
  error-half-open-interval error-half-closed-interval
  ;
  error-fixnum
  error-positive-fixnum error-natural-fixnum error-negative-fixnum error-non-positive-fixnum
  error-flonum
  error-complex
  error-rational
  ;
  error-number
  error-positive-number error-natural-number error-negative-number error-non-positive-number
  error-integer
  error-positive-integer error-natural-integer error-negative-integer error-non-positive-integer
  error-real
  ;
  error-exact
  error-inexact)

(import (chicken base))			; for `include'

(include "type-errors-numbers.impl.scm")

) ;module type-errors-numbers
