;;;; type-errors-structured.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-structured ()

(import (chicken module))

(export
  error-procedure error-closure
  error-input-port
  error-output-port
  error-list
  error-plist
  error-alist
  error-pair
  error-blob
  error-vector
  error-structure
  error-record
  error-record-type
  error-string)

(import (chicken base))			; for `include'

(include "type-errors-structured.impl.scm")

) ;module type-errors-structured
